﻿using EVCB_OCPP.DBAPI.Services;
using Microsoft.AspNetCore.Mvc;

namespace EVCB_OCPP.DBAPI.Controllers;

[Route("MemDb")]
public class MemDbController : Controller
{
    private readonly MemDbService memDbService;

    public MemDbController(MemDbService memDbService)
    {
        this.memDbService = memDbService;
    }

    public IActionResult Index()
    {
        return Ok("MemDb");
    }

    [HttpGet("Usage")]
    public async Task<IActionResult> GetMemoryUsage()
    {
        var result = await memDbService.GetMemoryUsage();
        return Ok(result);
    }
}
