﻿using Quartz;

namespace EVCB_OCPP.DBAPI.Jobs
{
    public static class AddJobsExtention
    {
        public static IServiceCollection AddJobs(this IServiceCollection services)
        {
            services.AddQuartz(q =>
            {
                q.UseMicrosoftDependencyInjectionJobFactory();

                q.ScheduleJob<ServerMessageJob>(trigger =>
                   trigger
                   .WithIdentity("ServerMessageJobTrigger")
                   .StartNow()
                    .WithSimpleSchedule(x => x
                        .WithInterval(TimeSpan.FromSeconds(10))
                        .RepeatForever())
               );
            });
            services.AddQuartzHostedService(opt =>
            {
                opt.WaitForJobsToComplete = true;
            });
            return services;
        }
    }
}
